# $Id$
# Authority: lsn
# Upstream: 

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define distro		CentOS 4

Name		: amaya_wx
Version		: 9.3
Release		: 3.el4.lsn

Copyright	:Copyright 1995-2005 (MIT) (INRIA), (L)GPL compatible
Summary		: Web Browser/Editor from the World Wide Web Consortium
Group		: X11/Applications/Networking

URL		: http://www.w3.org/Amaya/
Vendor		: LandShark Networks
Distribution	: %distro
Packager	: %{myname} %{myemail}

BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source		: ftp://ftp.w3.org/pub/amaya/amaya-fullsrc-%{version}.tgz

Buildarch	: i386

#Autoreqprov	:on

BuildRequires:  libungif-devel libjpeg-devel libpng-devel zlib-devel
BuildRequires:  gtk+-devel >= 1.2 perl bison flex imlib-devel
BuildRequires:  xorg-x11-devel freetype-devel >= 2.0, wxGTK-devel
BuildRequires:  desktop-file-utils gtk2-devel

%description

Amaya is a complete Web authoring tool with some browsing 
funtionalities and comes equipped with a WYSIWYG style of
interface, similar to that of the most popular commercial
browsers. With such an interface, users do not need to 
well know the HTML, MathML or CSS languages.

Authors:
--------
    Irene.Vatton@inria.fr, Stephane.Gully@inria.fr,
    Vincent.Quint@inria.fr, Laurent.Carcone@w3.org


%prep

%setup -n Amaya
# %patch
%build
export CFLAGS=
mkdir -p $RPM_BUILD_ROOT/usr/share/
autoconf
mkdir linux
cd linux
export HOME=`pwd`
../configure --with-wx --prefix=/usr/share --exec=/usr/share 
#cp Options.orig Options
#make all
make

%install
if [ -e /usr/bin/amaya ] ; then
  rm -f /usr/bin/amaya
fi
cd linux
make install prefix=$RPM_BUILD_ROOT/usr/share
# Gnome/Kde integration
./script_install_gnomekde ./bin $RPM_BUILD_ROOT/usr/share /usr/share

%files
%doc README.amaya
/usr/share/pixmaps/
/usr/share/applications/
/usr/share/Amaya-%{version}/

%post
/bin/ln -f -s /usr/share/Amaya-%{version}/wx/bin/amaya /usr/bin/amaya_wx
/bin/ln -f -s /usr/bin/amaya_wx /usr/bin/amaya
%postun
rm -f /usr/bin/amaya

%changelog
* Sat Jan 21 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Specfile update.
